/*
 * Copyright (C) 2020 Tycho Softworks.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef	CONFIG_HPP_
#define	CONFIG_HPP_

#define PROJECT_VERSION "0.8.1"
#define SERVER_ID "bordeaux"
#define SERVER_CONTROL_IPC "/var/run/bordeaux/control"
#define SERVER_PREFIX_PATH "/var/lib/bordeaux"
#define SERVER_LOGGER_PATH "/var/log/bordeaux"
#define SERVER_CONFIG_FILE "/etc/bordeaux.conf"

#define BORDEAUX_VOICES_PATH "/usr/share/bordeaux/voices"
#define BORDEAUX_PROMPTS_PATH "/var/lib/bordeaux"
#define BORDEAUX_SCRIPTS_PATH "/usr/share/bordeaux/scripts"
#define BORDEAUX_MODULES_PATH "/usr/share/bordeaux/modules"
#define BORDEAUX_DRIVERS_PATH "/usr/lib/bordeaux"
#define BORDEAUX_PLUGINS_PATH "/usr/lib/bordeaux"
#define BORDEAUX_DEFAULT_DRIVER "generic"
#define BORDEAUX_IPCPATH "/bordeaux-system"
/* #undef BORDEAUX_VOICE_MODULES */

#define TUNE_SYMBOLS_PAGER 4096
#define TUNE_COMPILE_PAGER 4096
#define TUNE_SYMBOLS_INDEX 123
#define TUNE_SYMBOL_SIZE 64
#define TUNE_MAX_DIGITS 32
#define TUNE_MAX_LEVELS 20
#define TUNE_STEP_RATE 50
#define TUNE_STEP_COUNT 5
#endif
